
Redmine - Defect #15572

incoming e-mail triggers error

2013-11-29 19:36 - Anthony Mallet

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.1

Description

I'm trying to setup incoming e-mails for redmine-2.4.1

However, every processed e-mail triggers this error:

RuntimeError (In order to use #url_for, you must include routing helpers explicitly. For instance, `include

Rails.application.routes.url_helpers):

app/models/mailer.rb:42:in `issue_add'

app/models/mailer.rb:423:in `initialize'

app/models/mailer.rb:446:in `method_missing'

app/models/mailer.rb:53:in `deliver_issue_add'

app/models/issue.rb:821:in `each_notification'

app/models/mailer.rb:52:in `deliver_issue_add'

app/models/issue.rb:1514:in `send_notification'

app/models/issue.rb:163:in `create_or_update'

app/models/mail_handler.rb:196:in `receive_issue'

app/models/mail_handler.rb:174:in `dispatch_to_default'

app/models/mail_handler.rb:159:in `dispatch'

app/models/mail_handler.rb:134:in `receive'

app/models/mail_handler.rb:46:in `receive'

app/controllers/mail_handler_controller.rb:25:in `index'

Of course, I tried to add the "include" directive for the Mailer class in mailer.rb, but this did not change anything.

Any idea?

History

#1 - 2013-12-04 17:45 - Anthony Mallet

- Status changed from New to Resolved

Sorry, this was a nasty side effect of a plugin.

Tough to figure out, but -> Fixed.

#2 - 2013-12-05 06:34 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.
